version: "2.0"
services:
  php:
    build: 
      context: './php/'
      args:
       PHP_VERSION: ${PHP_VERSION}
    networks:
      - backend
    volumes:
      - ${PROJECT_ROOT}/:/var/www/html/
      - ${LOG_DIR}/:/var/log/
    container_name: php_${PROJECT_NAME}
  apache:
    build:
      context: './apache/'
      args:
       APACHE_VERSION: ${APACHE_VERSION}
    depends_on:
      - php
    networks:
      - frontend
      - backend
    ports:
      - "80:80"
    volumes:
      - ${PROJECT_ROOT}/:/var/www/html/
      - ${LOG_DIR}/:/var/log/
    container_name: apache_${PROJECT_NAME}
networks:
  frontend:
  backend:
volumes:
    data:
